"use strict";

require("core-js/modules/es6.object.define-property");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.unique = unique;
exports.default = exports.getMaxDistance = exports.createCoreData = exports.checkArrayWithPush = exports.noop = void 0;

require("core-js/modules/es6.array.sort");

require("core-js/modules/es6.array.is-array");

require("core-js/modules/es6.array.find-index");

var noop = function noop() {};

exports.noop = noop;

function unique(array) {
  var compare = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : function (a, b) {
    return a === b;
  };
  var result = [];

  var _loop = function _loop(i, len) {
    var current = array[i];

    if (result.findIndex(function (v) {
      return compare(v, current);
    }) === -1) {
      result.push(current);
    }
  };

  for (var i = 0, len = array.length; i < len; i++) {
    _loop(i, len);
  }

  return result;
}

var checkArrayWithPush = function checkArrayWithPush(target, key, value) {
  if (Array.isArray(target[key])) {
    target[key].push(value);
  } else {
    target[key] = [value];
  }
};

exports.checkArrayWithPush = checkArrayWithPush;

var createCoreData = function createCoreData(_ref, _ref2) {
  var node = _ref.node,
      deltaX = _ref.deltaX,
      deltaY = _ref.deltaY;
  var originX = _ref2.originX,
      originY = _ref2.originY,
      x = _ref2.x,
      y = _ref2.y;
  return {
    node: node,
    deltaY: deltaY,
    deltaX: deltaX,
    originX: originX || x,
    originY: originY || y,
    x: x,
    y: y
  };
};

exports.createCoreData = createCoreData;

var getMaxDistance = function getMaxDistance(arr) {
  var num = arr.sort(function (a, b) {
    return a - b;
  });
  return num[num.length - 1] - num[0];
};

exports.getMaxDistance = getMaxDistance;
var _default = {
  noop: noop,
  unique: unique,
  createCoreData: createCoreData,
  checkArrayWithPush: checkArrayWithPush
};
exports.default = _default;